You are here: DENX Home »  System » JQSelect2Contrib

JQSelect2Contrib

Select2 jQuery widget for Foswiki

Homepage: http://ivaynberg.github.com/select2/
Author(s): Igor Vaynberg
Version: 3.2

This extension adds support for the Select2 jQuery widget to Foswiki.

Select2 magically turns an existing select tag into a widget that supports type-ahead find, but it can do much more: selecting multiple values, remote data sources, infinite scrolling… you name it.

For more information about the widget and how to customize it, see its homepage.

Usage

Use %JQREQUIRE{"select2"}% to make use of Select2 on a wiki page. Add the jqSelect2 CSS class to a select tag to make it turn into a Select2 widget.

Example

%JQREQUIRE{"select2"}%

<select class='jqSelect2' data-placeholder='Select a burger' data-width='element'>
<option>Hamburger</option>
<option>Hamburger deluxe with gold plating</option>
<option>Cheeseburger</option>
<option>Joppiburger</option>
</select>

If Select2 is enabled, you will see the result below:

Installation Instructions

You do not need to install anything in the browser to use this extension. The following instructions are for the administrator who installs the extension on the server.

Open configure, and open the "Extensions" section. "Extensions Operation and Maintenance" Tab → "Install, Update or Remove extensions" Tab. Click the "Search for Extensions" button. Enter part of the extension name or description and press search. Select the desired extension(s) and click install. If an extension is already installed, it will not show up in the search results.

You can also install from the shell by running the extension installer as the web server user: (Be sure to run as the webserver user, not as root!)
cd /path/to/foswiki
perl tools/extension_installer <NameOfExtension> install

If you have any problems, or if the extension isn't available in configure, then you can still install manually from the command-line. See https://foswiki.org/Support/ManuallyInstallingExtensions for more help.

Dependencies

NameVersionDescription
Foswiki::Plugins::JQueryPlugin>=4.20Required.

Change History

26 Oct 2020: compatibility with jquery-3
02 Sep 2016: add .ui-dialog class to drop-down window for proper base css (Foswiki:Main/MichaelDaum)
09 Mar 2015: initial release on foswiki.org (Foswiki:Main/MichaelDaum)
04 Oct 2012: initial check-in of select2 3.2 (Foswiki:Main/JanKrueger)
This site is powered by FoswikiCopyright © by the contributing authors. All material on this site is the property of the contributing authors.
Ideas, requests, problems regarding DENX? Send feedback
This website is using cookies. More info. That's Fine